Shop points
Add or Deduct Points
Add or deduct points from a loyalty card
POST
/{locale}/shop/pointsAdd or deduct points from a loyalty card
Authorization
bearerAuth AuthorizationBearer <token>
Enter JWT token in the format: Bearer {token}
In: header
Path Parameters
locale*string
Locale code
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/en/shop/points" \ -H "Content-Type: application/json" \ -d '{ "loyalty_card_id": 1, "points": 100, "type": "earned", "description": "Purchase at Partner Store" }'{ "success": true, "message": "Points transaction completed successfully", "data": { "id": 1, "loyalty_card_id": 1, "points": 100, "type": "earned", "description": "Purchase at Partner Store", "reference_id": "ORDER-123456", "new_balance": 1350, "created_at": "2019-08-24T14:15:22Z" }, "code": 201}